Subject: pithos commission serials must be safely registered in database to allow for recovery

Description

Pithos already has a table for this but it is currently unused.

Provide a pithos-reconcile-commissions commad to display unresolved commissions

and trigger their recovery.

Associated revisions

Revision 613659fc - 04/15/2013 07:14 pm - Sofia Papagiannaki 

pithos: Register commission serials to allow for recoery

Refs: #3594

Revision f0fdf427 - 04/15/2013 07:18 pm - Sofia Papagiannaki 

Provide a pithos-reconcile-commissions command

Refs: #3594

Revision e1e37cf9 - 04/16/2013 11:59 am - Sofia Papagiannaki 

Fix pithos-reconcile-commissions command

Get pending commissions specifically for pithos

Refs: #3594

Revision b32d9fae - 04/16/2013 03:37 pm - Sofia Papagiannaki 

pithos: optionally fix unresolved commissions

provide --fix option for the pithos-reconcile-commissions command

Refs: #3594

Revision 995d7d15 - 04/18/2013 07:30 pm - Sofia Papagiannaki 

pithos:Ensure serial registration before commission

Commit transaction before accepting the commission
and delete registered serials after successful commission.

Refs: #3594

Revision 4a129526 - 04/23/2013 02:30 pm - Sofia Papagiannaki 

pithos: extend sqlite library for commission reconciliation

Refs: #3594

Revision 8570576b - 05/01/2013 11:58 am - Sofia Papagiannaki 

pithos: extend sqlite library for commission reconciliation

Refs: #3594

Revision 9b264076 - 05/01/2013 11:58 am - Sofia Papagiannaki 

pithos:Ensure serial registration before commission

Commit transaction before accepting the commission

and delete registered serials after successful commission.

Refs: #3594

History

#1 - 04/16/2013 03:48 pm - Sofia Papagiannaki

- Status changed from New to Resolved
